Page MenuHomePhabricator

Pi-Hole or similar feature
Closed, WontfixPublicFEATURE REQUEST

Description

Hello VyOS community,

I am brand new to this Phabricator so please let me know if I am doing it incorrectly.

What are the team's thoughts on integrating Pi-Hole to the build? I will admit I know next to nothing on the dev\build side of things, but I think it might be an attractive feature for the project. It doesn't necessarily have to be a "Pi-Hole" but something that offers similar features. With both projects being open source it could be a symbiotic relationship that might bring in more developers.

Either way I look forward to the future of VyOS and am pleased to see the organization and project management take a positive turn in the last few months. If there is anything I can help with please let me know; I am a Windows sysadmin with limited knowledge of Linux but I am able and eager to learn.

Thanks!

Details

Difficulty level
Unknown (require assessment)
Version
-
Why the issue appeared?
Will be filled on close

Event Timeline

DR_D_WEB created this task.Oct 22 2017, 2:48 PM
DR_D_WEB triaged this task as Wishlist priority.Oct 22 2017, 7:11 PM
DR_D_WEB updated the task description. (Show Details)Oct 22 2017, 9:54 PM
DR_D_WEB updated the task description. (Show Details)Oct 24 2017, 3:07 PM
DR_D_WEB added a subscriber: syncer.
EwaldvanGeffen added a subscriber: EwaldvanGeffen.EditedOct 25 2017, 9:12 PM

How exactly do you see the two products interact on a single system?
Do you have this request on their ticketing system? Can you link the two?
Does it have to run on a rpi?

These are just some prelim q. to get a grasp of the projects can offer each other.

I have not approached any of the Pi Hole team yet, but I do appreciate the realistic feedback.

The concept of the Pi-Hole is to filter DNS requests so when a request to a known advertising domain is made it doesn't actually make it out. The "blacklists" are maintained by the community on GitHub and a few other public repos.

It doesn't have to be on a rpi, any "standard" Linux distro will usually suffice. I will see what I can get going as far as dialogue between their Dev team. Thanks!

cwadge added a subscriber: cwadge.Dec 16 2017, 11:10 AM

Sorry for the unsolicited feedback, but... BUT... ;-) Honestly, I think the way the Pi-Hole stack is put together does not lend itself well to a firmware-like platform like VyOS. In fact, personally I can't even suggest it for anything more than home use. Frankly, it's a bit cludgy on the back-end. Further, it increases the potential attack surface of your router, which is in general bad security practice. IMO the best course, even if by some twist of fate Pi-Hole WAS integrated into VyOS, would be to run Pi-Hole as a separate service. DNS is one of those things that's easy to run alongside routers; there's no compelling reason I can think of to run it ON the router. Buy a $35 Pi, run a tiny VM on existing hardware, etc. and serve that DNS server to DHCP clients via VyOS. That's my $0.02, adjusted for inflation.

-C

You're spot on and I realize how naive my original request was. Pi-Hole isn't something that should be running on an edge device.

Thank you for the constructive criticism.

syncer closed this task as Wontfix.Dec 18 2017, 11:41 AM
syncer claimed this task.

Thanks for discussion, marking this as wontfix.

syncer edited projects, added Rejected; removed VyOS 2.0.x.Oct 15 2018, 6:30 AM